Package com.sas.services.util

# Class Constants

java.lang.Object
com.sas.services.util.Constants

public class Constants extends Object
Miscellaneous constants needed by the Services.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NS_EVENTS_PREFIX`
  Event Services namespace prefix used in the event definition.
  `static final String`
  `NS_EVENTS_PREFIX_COLON`
  Event Services namespace prefix, including colon.
  `static final String`
  `NS_EVENTS_URI`
  Event Services namespace URI used in the event definition.
  `static final String`
  `NS_PUBLISH_PREFIX`
  Publish Services namespace prefix used in the SASPackage event definition.
  `static final String`
  `NS_PUBLISH_PREFIX_COLON`
  Publish Services namespace prefix, including colon.
  `static final String`
  `NS_PUBLISH_RESERVED_URI`
  Reserved Publish URI used when name/value attribute defined with a prefix but no namespace URI.
  `static final String`
  `NS_PUBLISH_URI`
  Publish Services namespace URI used in the SASPackage event definition.
  `static final String`
  `NS_PUBLISH_WEBDAV_URI`
  Publish Services namespace URI used when publishing the package to a WebDAV server.
  `static final String`
  `NS_STOREDPROCESS_ALERT_PREFIX`
  Stored Process Services namespace prefix used in the stored process alert definition.
  `static final String`
  `NS_STOREDPROCESS_ALERT_PREFIX_COLON`
  Stored Process Services namespace prefix, including colon.
  `static final String`
  `NS_STOREDPROCESS_ALERT_URI`
  Stored Process Services namespace URI used in the stored process alert definition.
  `static final String`
  `NS_WEBDAV_COMMENTS_PREFIX`
  WebDAV Services comments namespace prefix.
  `static final String`
  `NS_WEBDAV_COMMENTS_PREFIX_COLON`
  WebDAV Services comments namespace prefix, including colon.
  `static final String`
  `NS_WEBDAV_COMMENTS_URI`
  WebDAV Services namespace URI for comments/remarks.
  `static final String`
  `NS_WEBDAV_EVENTX_PREFIX`
  WebDAV Services event properties namespace prefix.
  `static final String`
  `NS_WEBDAV_EVENTX_PREFIX_COLON`
  WebDAV Services event properties namespace prefix, including colon.
  `static final String`
  `NS_WEBDAV_EVENTX_URI`
  WebDAV Services namespace URI for promoted event properties.
  `static final String`
  `NS_WEBDAV_PREFIX`
  WebDAV Services global namespace prefix.
  `static final String`
  `NS_WEBDAV_PREFIX_COLON`
  WebDAV Services global namespace prefix, including colon.
  `static final String`
  `NS_WEBDAV_URI`
  Global namespace URI for WebDAV Services.
  `static final String`
  `NS_XMLNS_PREFIX`
  XMLNS attribute.
  `static final String`
  `NS_XMLNS_PREFIX_COLON`
  XMLNS attribute, including colon.
  `static final String`
  `NS_XMLNS_URI`
  XMLNS URI.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS_XMLNS_URI

    public static final String NS_XMLNS_URI
    XMLNS URI.
    See Also:
      - Constant Field Values

  - ### NS_XMLNS_PREFIX

    public static final String NS_XMLNS_PREFIX
    XMLNS attribute.
    See Also:
      - Constant Field Values

  - ### NS_XMLNS_PREFIX_COLON

    public static final String NS_XMLNS_PREFIX_COLON
    XMLNS attribute, including colon.
    See Also:
      - Constant Field Values

  - ### NS_EVENTS_URI

    public static final String NS_EVENTS_URI
    Event Services namespace URI used in the event definition.
    See Also:
      - Constant Field Values

  - ### NS_EVENTS_PREFIX

    public static final String NS_EVENTS_PREFIX
    Event Services namespace prefix used in the event definition.
    See Also:
      - Constant Field Values

  - ### NS_EVENTS_PREFIX_COLON

    public static final String NS_EVENTS_PREFIX_COLON
    Event Services namespace prefix, including colon.
    See Also:
      - Constant Field Values

  - ### NS_PUBLISH_URI

    public static final String NS_PUBLISH_URI
    Publish Services namespace URI used in the SASPackage event definition.
    See Also:
      - Constant Field Values

  - ### NS_PUBLISH_PREFIX

    public static final String NS_PUBLISH_PREFIX
    Publish Services namespace prefix used in the SASPackage event definition.
    See Also:
      - Constant Field Values

  - ### NS_PUBLISH_PREFIX_COLON

    public static final String NS_PUBLISH_PREFIX_COLON
    Publish Services namespace prefix, including colon.
    See Also:
      - Constant Field Values

  - ### NS_PUBLISH_RESERVED_URI

    public static final String NS_PUBLISH_RESERVED_URI
    Reserved Publish URI used when name/value attribute defined with a prefix but no namespace URI.
    See Also:
      - Constant Field Values

  - ### NS_STOREDPROCESS_ALERT_URI

    public static final String NS_STOREDPROCESS_ALERT_URI
    Stored Process Services namespace URI used in the stored process alert definition.
    See Also:
      - Constant Field Values

  - ### NS_STOREDPROCESS_ALERT_PREFIX

    public static final String NS_STOREDPROCESS_ALERT_PREFIX
    Stored Process Services namespace prefix used in the stored process alert definition.
    See Also:
      - Constant Field Values

  - ### NS_STOREDPROCESS_ALERT_PREFIX_COLON

    public static final String NS_STOREDPROCESS_ALERT_PREFIX_COLON
    Stored Process Services namespace prefix, including colon.
    See Also:
      - Constant Field Values

  - ### NS_PUBLISH_WEBDAV_URI

    public static final String NS_PUBLISH_WEBDAV_URI
    Publish Services namespace URI used when publishing the package to a WebDAV server.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_URI

    public static final String NS_WEBDAV_URI
    Global namespace URI for WebDAV Services.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_PREFIX

    public static final String NS_WEBDAV_PREFIX
    WebDAV Services global namespace prefix.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_PREFIX_COLON

    public static final String NS_WEBDAV_PREFIX_COLON
    WebDAV Services global namespace prefix, including colon.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_COMMENTS_URI

    public static final String NS_WEBDAV_COMMENTS_URI
    WebDAV Services namespace URI for comments/remarks.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_COMMENTS_PREFIX

    public static final String NS_WEBDAV_COMMENTS_PREFIX
    WebDAV Services comments namespace prefix.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_COMMENTS_PREFIX_COLON

    public static final String NS_WEBDAV_COMMENTS_PREFIX_COLON
    WebDAV Services comments namespace prefix, including colon.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_EVENTX_URI

    public static final String NS_WEBDAV_EVENTX_URI
    WebDAV Services namespace URI for promoted event properties.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_EVENTX_PREFIX

    public static final String NS_WEBDAV_EVENTX_PREFIX
    WebDAV Services event properties namespace prefix.
    See Also:
      - Constant Field Values

  - ### NS_WEBDAV_EVENTX_PREFIX_COLON

    public static final String NS_WEBDAV_EVENTX_PREFIX_COLON
    WebDAV Services event properties namespace prefix, including colon.
    See Also:
      - Constant Field Values